#! /bin/ksh

set -x

# test whether sendmail package is installed
pkginfo -q ucbcmd || {
	echo "\nERROR: The sendmail package is a prerequisite"
	echo "and must be installed before installation of this package."
	echo "You will find the sendmail package on your Reliant Unix CD"
	exit 1
}

SENDMAILBINDIR=/usr/ucblib
ALIASDIR=/usr/ucblib

# stop sendmail
sh /etc/rc2.d/S88sendmail stop

# install sendmail executable
[ -f $SENDMAILBINDIR/sendmail -a ! -L $SENDMAILBINDIR/sendmail ] && mv $SENDMAILBINDIR/sendmail $SENDMAILBINDIR/sendmail.orig
rm -f $SENDMAILBINDIR/sendmail
[ -L $SENDMAILBINDIR/sendmail ] || ln -s /usr/local/sendmail/sendmail $SENDMAILBINDIR/sendmail
chmod go-w / /etc /usr /var /var/spool /var/spool/mqueue
chown root / /etc /usr /var /var/spool /var/spool/mqueue

# create mailertable (maybe empty)
touch mailertable
touch mailertable.db
/usr/local/etc/makemap hash mailertable < mailertable

# install aliases, if not existing, use template file
[ -f $ALIASDIR/aliases -a ! -L $ALIASDIR/aliases ] && mv $ALIASDIR/aliases .
rm -f $ALIASDIR/aliases
[ -L $ALIASDIR/aliases ] || ln -s /usr/local/sendmail/aliases /etc/aliases
[ -f aliases ] || cp aliases.sample aliases

# create sendmail.cw (maybe empty)
touch sendmail.cw

[ -f sendmail.cf ] && mv sendmail.cf sendmail.cf.bak
rm -f /etc/sendmail.cf
ln -s /usr/local/sendmail/sendmail.cf /etc/sendmail.cf
/usr/local/bin/m4 cf/m4/cf.m4 sendmail.mc > sendmail.cf

# generate Aliasdatabase
touch aliases.db
$SENDMAILBINDIR/sendmail -bi

# start sendmail
sh /etc/rc2.d/S88sendmail start

exit 0
